Skip to main content
GET
/
revenue-schedules
Get organization revenue schedule
curl --request GET \
  --url https://api.alguna.io/revenue-schedules \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "currency": "USD",
  "end_date": "2027-01-01T00:00:00Z",
  "entries": [
    {
      "end_date": "2026-02-01T00:00:00Z",
      "new_contract_asset": "3000.00",
      "new_deferred_revenue": "-5000.00",
      "new_fixed_revenue": "5000.00",
      "new_metered_revenue": "1200.00",
      "new_one_off_revenue": "500.00",
      "new_recognized_revenue": "6200.00",
      "start_date": "2026-01-01T00:00:00Z",
      "total_contract_asset": "15000.00",
      "total_deferred_revenue": "25000.00",
      "total_fixed_revenue": "30000.00",
      "total_metered_revenue": "7200.00",
      "total_one_off_revenue": "2000.00",
      "total_recognized_revenue": "37200.00"
    }
  ],
  "interval": "monthly",
  "start_date": "2026-01-01T00:00:00Z"
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

currency
string
required

Target currency for conversion. Uses the entity's default if not specified.

Example:

"USD"

interval
enum<string>
required

Time interval for schedule entries

Available options:
daily,
monthly
Example:

"monthly"

Response

Success

currency
string
required

ISO 4217 currency code

Example:

"USD"

end_date
string<date-time>
required

End date of the schedule

Example:

"2027-01-01T00:00:00Z"

entries
object[]
required

Chronologically ordered schedule entries

interval
enum<string>
required

Time interval of entries

Available options:
daily,
monthly
Example:

"monthly"

start_date
string<date-time>
required

Start date of the schedule

Example:

"2026-01-01T00:00:00Z"